# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "debian/stretch64"
  config.vm.provider "virtualbox" do |v|
    v.memory = 1024
  end

  config.vm.define "manager1" do |manager1|
    manager1.vm.hostname = "manager-1"
    manager1.vm.network "private_network", ip: "192.168.33.50"
  end

  config.vm.define "worker1" do |worker1|
    worker1.vm.hostname = "worker-1"
    worker1.vm.network "private_network", ip: "192.168.33.61"
  end

  config.vm.define "worker2" do |worker2|
    worker2.vm.hostname = "worker-2"
    worker2.vm.network "private_network", ip: "192.168.33.62"
  end
end
